Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.maltparser.parser.guide
Enum ClassifierGuide.GuideMode

    java.lang.Object
      java.lang.Enum<ClassifierGuide.GuideMode>
          org.maltparser.parser.guide.ClassifierGuide.GuideMode

All Implemented Interfaces:
  Serializable, Comparable<ClassifierGuide.GuideMode>

Enclosing interface:
  ClassifierGuide

    public static enum ClassifierGuide.GuideMode

extends Enum<ClassifierGuide.GuideMode>

Enum Constant Summary
`BATCH`
`CLASSIFY`

Method Summary
`static ClassifierGuide.GuideMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ClassifierGuide.GuideMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BATCH

    public static final ClassifierGuide.GuideMode BATCH

### CLASSIFY

    public static final ClassifierGuide.GuideMode CLASSIFY

Method Detail

### values

    public static ClassifierGuide.GuideMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ClassifierGuide.GuideMode c : ClassifierGuide.GuideMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ClassifierGuide.GuideMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2007-2011 Johan Hall, Jens Nilsson and Joakim Nivre.